summaryrefslogtreecommitdiffstats
path: root/network/hostapd/hostapd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/hostapd/hostapd.SlackBuild')
-rw-r--r--network/hostapd/hostapd.SlackBuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/network/hostapd/hostapd.SlackBuild b/network/hostapd/hostapd.SlackBuild
new file mode 100644
index 0000000000..0f3c3e8ad9
--- /dev/null
+++ b/network/hostapd/hostapd.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for hostapd
+
+# Written by Murat D. Kadirov <banderols@gmail.com>
+
+PRGNAM=hostapd
+VERSION=${VERSION:-0.5.10}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cp $CWD/config $TMP/$PRGNAM-$VERSION/.config
+
+make
+
+mkdir -p \
+ $PKG/usr/sbin/ \
+ $PKG/etc/hostapd/ \
+ $PKG/usr/man/man1 \
+ $PKG/usr/man/man8/
+DOINST_TMP=$(mktemp) # temporary holding place
+for i in \
+ hlr_auc_gw.milenage_db hostapd.accept hostapd.conf \
+ hostapd.deny hostapd.eap_user hostapd.radius_clients \
+ hostapd.sim_db hostapd.wpa_psk madwifi.conf wired.conf ;
+do
+ cat $i > $PKG/etc/hostapd/$i.new ;
+ echo "config etc/hostapd/$i.new" >> $DOINST_TMP
+done
+
+gzip -9c hostapd.8 > $PKG/usr/man/man8/hostapd.8.gz
+gzip -9c hostapd_cli.1 > $PKG/usr/man/man1/hostapd_cli.1.gz
+cp hostapd hostapd_cli $PKG/usr/sbin/
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh $DOINST_TMP > $PKG/install/doinst.sh
+rm -f $DOINST_TMP
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz